Bug 30377 - Fix two CGI::param called in list context-warnings
Summary: Fix two CGI::param called in list context-warnings
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-28 12:02 UTC by Marcel de Rooy
Modified: 2022-04-08 14:40 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.05


Attachments
Bug 30377: Fix two CGI::param called in list context-warnings (1.62 KB, patch)
2022-03-28 12:10 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 30377: Fix two CGI::param called in list context-warnings (1.64 KB, patch)
2022-03-28 12:48 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2022-03-28 12:02:44 UTC
[WARN] CGI::param called in list context from /usr/share/koha/serials/claims.pl line 65, this can lead to vulnerabilities. See the warning in "Fetching the value or values of a single named parameter" at /usr/share/perl5/CGI.pm line 412.

[WARN] CGI::param called in list context from /usr/share/koha/opac/opac-search-history.pl line 108, this can lead to vulnerabilities. See the warning in "Fetching the value or values of a single named parameter" at /usr/share/perl5/CGI.pm line 412.

Line numbers refer to a Koha 20.11 version.
Comment 1 Marcel de Rooy 2022-03-28 12:10:19 UTC
Created attachment 132322 [details] [review]
Bug 30377: Fix two CGI::param called in list context-warnings

Trivial fix.

Test plan:
Delete two lines from opac search history.
Verify results. Check plack-opac-error.log.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2022-03-28 12:10:44 UTC
Trivial: Self SO
Comment 3 Nick Clemens 2022-03-28 12:48:50 UTC
Created attachment 132325 [details] [review]
Bug 30377: Fix two CGI::param called in list context-warnings

Trivial fix.

Test plan:
Delete two lines from opac search history.
Verify results. Check plack-opac-error.log.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Fridolin Somers 2022-04-05 15:29:13 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Kyle M Hall 2022-04-08 14:40:24 UTC
Pushed to 21.11.x for 21.11.05